from abc import ABC, abstractmethod

from frostfs_testlib.storage.cluster import ClusterNode


class Healthcheck(ABC):
    @abstractmethod
    def full_healthcheck(self, cluster_node: ClusterNode):
        """Perform full healthcheck on the target cluster node"""

    @abstractmethod
    def startup_healthcheck(self, cluster_node: ClusterNode):
        """Perform healthcheck required on startup of target cluster node"""

    @abstractmethod
    def storage_healthcheck(self, cluster_node: ClusterNode):
        """Perform storage service healthcheck on target cluster node"""

    @abstractmethod
    def services_healthcheck(self, cluster_node: ClusterNode):
        """Perform service status check on target cluster node"""

    @abstractmethod
    def tree_healthcheck(self, cluster_node: ClusterNode):
        """Perform tree healthcheck on target cluster node"""
