import pytest


@pytest.hookimpl
def pytest_collection_modifyitems(items: list[pytest.Item]):
    # All tests which reside in frostfs nodeid are granted with frostfs marker, excluding
    # nodeid = full path of the test
    # 1. plugins
    # 2. testlib itself
    for item in items:
        location = item.location[0]
        if "frostfs" in location and "plugin" not in location and "testlib" not in location:
            item.add_marker("frostfs")
